> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zocomputer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask Zo

> Send a message to your Zo and get a response. Use `stream: true` for Server-Sent Events streaming.



## OpenAPI

````yaml /openapi.json post /zo/ask
openapi: 3.1.0
info:
  title: Zo API
  version: 1.0.0
servers:
  - url: https://api.zo.computer
    description: Zo API
security:
  - bearerAuth: []
paths:
  /zo/ask:
    post:
      tags:
        - AI
      summary: Ask Zo
      description: >-
        Send a message to your Zo and get a response. Use `stream: true` for
        Server-Sent Events streaming.
      operationId: zoAsk
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZoAskRequest'
        required: true
      responses:
        '200':
          description: Success (non-streaming)
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ZoAskResponseSuccess'
                  - $ref: '#/components/schemas/ZoAskResponseError'
                  - $ref: '#/components/schemas/ZoAskResponseSuccess'
                  - $ref: '#/components/schemas/ZoAskResponseError'
                title: Response 200 Zoask
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ZoAskRequest:
      properties:
        input:
          type: string
          title: Input
          description: Your message to Zo
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
          description: Continue an existing conversation
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
          description: >-
            Override the default model (for example, 'zo:openai/gpt-5.4'; use
            /models/available to list available)
        persona_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Persona Id
          description: >-
            Override the active persona (use /personas/available to list
            available)
        output_format:
          anyOf:
            - $ref: '#/components/schemas/StructuredOutputFormat'
            - type: 'null'
          description: JSON Schema for structured output
        memory_mode:
          type: string
          enum:
            - enabled
            - 'off'
          title: Memory Mode
          description: >-
            Memory mode for this request: 'enabled' includes workspace memory,
            'off' disables it.
          default: enabled
        stream:
          type: boolean
          title: Stream
          description: Enable streaming mode (returns Server-Sent Events)
          default: false
      type: object
      required:
        - input
      title: ZoAskRequest
    ZoAskResponseSuccess:
      properties:
        output:
          anyOf:
            - type: string
            - additionalProperties: true
              type: object
          title: Output
          description: Zo's response (object if output_format was specified)
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
          description: ID to continue this conversation
      type: object
      required:
        - output
      title: ZoAskResponseSuccess
    ZoAskResponseError:
      properties:
        error:
          type: string
          title: Error
          description: Error message
      type: object
      required:
        - error
      title: ZoAskResponseError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StructuredOutputFormat:
      properties:
        type:
          type: string
          const: object
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        required:
          items:
            type: string
          type: array
          title: Required
        properties:
          additionalProperties:
            anyOf:
              - $ref: '#/components/schemas/PropertyScalar'
              - $ref: '#/components/schemas/PropertyObject'
              - $ref: '#/components/schemas/PropertyEnum'
              - $ref: '#/components/schemas/PropertyArray'
          type: object
          title: Properties
      type: object
      required:
        - type
        - required
        - properties
      title: StructuredOutputFormat
      description: |-
        Example with the various kind of properties that can be stated:
        {
            "type": "object",
            "description": "descriptions are optional but helpful, each property can have them",
            "properties": {
                "names": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "first_name": {
                    "type": "string"
                },
                "temperature_degrees": {
                    "type": "number"
                },
                "temperature_unit": {
                    "type": "string",
                    "description": "The unit to return the temperature in",
                    "enum": ["F", "C"]
                },
                "nested_object": {
                    "type": "object",
                    "description": "A nested object",
                    "properties": {
                        "nested_object_property": {
                            "type": "string"
                        }
                    },
                    "required": ["nested_object_property"]
                }
            },
            "required": ["names", "first_name"]
        }
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PropertyScalar:
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - boolean
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - type
      title: PropertyScalar
    PropertyObject:
      properties:
        type:
          type: string
          const: object
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        required:
          items:
            type: string
          type: array
          title: Required
        properties:
          additionalProperties:
            anyOf:
              - $ref: '#/components/schemas/PropertyScalar'
              - $ref: '#/components/schemas/PropertyObject'
              - $ref: '#/components/schemas/PropertyEnum'
              - $ref: '#/components/schemas/PropertyArray'
          type: object
          title: Properties
      type: object
      required:
        - type
        - required
        - properties
      title: PropertyObject
    PropertyEnum:
      properties:
        type:
          type: string
          const: string
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        enum:
          items:
            type: string
          type: array
          title: Enum
      type: object
      required:
        - type
        - enum
      title: PropertyEnum
    PropertyArray:
      properties:
        type:
          type: string
          const: array
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        items:
          anyOf:
            - $ref: '#/components/schemas/PropertyScalar'
            - $ref: '#/components/schemas/PropertyObject'
            - $ref: '#/components/schemas/PropertyEnum'
            - $ref: '#/components/schemas/PropertyArray'
          title: Items
      type: object
      required:
        - type
        - items
      title: PropertyArray
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Zo API key (zo_sk_...)

````